import { V as o, gD as r, bh as l, a0 as u, gN as i } from "./684d2f28.js";
import { C as m } from "./9869e60a.js";
import { ColumnValueTooltip as s } from "./d404aae1.js";
import "react";
import "react-dom";
import "./b1144c16.js";
import "./926d8ea1.js";
import "./d6402597.js";
const p = {
  text: i
}, a = (e) => e.text + "", b = function() {
  return new m(p, (e, t) => e.changeValue ?? a(e), (e) => e.text.value, a).setEditViewFn((e) => /* @__PURE__ */ o(r, {
    defaultValue: e.value,
    autoFocus: !0,
    variant: "borderless",
    onChange: (t) => {
      const n = t.target.value;
      e.onChange(n);
    },
    onBlur: e.onChangeEnd,
    onPressEnter: e.onChangeEnd
  })).setPropertyViewFn((e) => /* @__PURE__ */ o(l, {
    children: e.text.propertyView({
      label: u("table.columnValue"),
      tooltip: s
    })
  })).build();
}();
export {
  b as SimpleTextComp
};
